Docs
DocumentationQuery ReferenceAPI Reference
Open Console→→
DocumentationQuery ReferenceAPI Reference

Get started

IntroductionSend dataQuery dataPaginationAPI limits

Annotations

List all annotationsGETRetrieve annotationGETCreate annotationPOSTUpdate annotationPUTDelete annotationDELETE

API tokens

List all API tokensGETRetrieve API tokenGETCreate API tokenPOSTRegenerate API tokenPOSTDelete API tokenDELETE

Dashboards

Dashboard JSONList all dashboardsGETRetrieve dashboardGETCreate dashboardPOSTUpdate dashboardPUTPatch dashboard elementPATCHDelete dashboardDELETE

Datasets

List all datasetsGETRetrieve datasetGETList all fields in datasetGETRetrieve field in datasetGETCreate datasetPOSTIngest data (legacy)POSTRun APL query (legacy)POSTRun query (legacy)POSTTrim datasetPOSTUpdate datasetPUTUpdate fieldPUTVacuum datasetPOSTDelete fieldsPOSTDelete fieldDELETEDelete datasetDELETE

Edge

Ingest data to edge deploymentIngest Splunk HEC eventsIngest raw Splunk HEC eventsCheck Splunk HEC healthRun APL query to edge deploymentRun batch query to edge deploymentRun MPL query to edge deploymentGet metrics for a datasetFind metrics by tag valueGet metric tags for a datasetGet metric tag values for a datasetGet tags for a datasetGet tag values for a dataset

Labels

List all labelsGETRetrieve labelGETCreate labelPOSTUpdate labelPUTDelete labelDELETEList label assignmentsPOSTReplace label assignmentsPUT

Map fields

List all map fieldsGETCreate map fieldPOSTUpdate list of map fieldsPUTDelete map fieldsDELETE

Monitors

List all monitorsGETRetrieve monitorGETRetrieve monitor notification historyGETCreate monitorPOSTUpdate monitorPUTDelete monitorDELETE

Notifiers

List all notifiersGETRetrieve notifierGETCreate notifierPOSTUpdate notifierPUTDelete notifierDELETE

Organizations

List all orgsGETRetrieve orgGETCreate orgPOSTUpdate orgPUTProvision orgPOST

Role-based access control

List all rolesGETRetrieve roleGETList all groupsGETRetrieve groupGETCreate rolePOSTCreate groupPOSTUpdate rolePUTUpdate groupPUTDelete roleDELETEDelete groupDELETE

Saved queries

List all saved queriesGETRetrieve saved queryGETCreate saved queryPOSTUpdate saved queryPUTDelete saved queryDELETE

Users

Retrieve current userGETList all usersGETRetrieve userGETCreate userPOSTUpdate current userPUTUpdate user rolePUTDelete user from orgDELETE

Views

List all viewsGETRetrieve viewGETCreate viewPOSTUpdate viewPUTDelete viewDELETE

Virtual fields

List all virtual fieldsGETRetrieve virtual fieldGETCreate virtual fieldPOSTUpdate virtual fieldPUTDelete virtual fieldDELETE
Edge

Find metrics by tag value

POST/v1/query/metrics/info/datasets/{dataset}/metrics

Finds the metrics in a metrics dataset that carry a tag with the given value between start and end. Returns an object that maps each matching metric name to the tag names that hold the value.

Warning

Use this endpoint to query data from a specific edge deployment. The data you query must be stored in the edge deployment where you query it. For more information, see Query data and Edge deployments.

The base domain for this endpoint is the base domain of the edge deployment where you want to query data.

Edge deploymentBase domain for ingest and query
US East 1 (AWS)us-east-1.aws.edge.axiom.co
EU Central 1 (AWS)eu-central-1.aws.edge.axiom.co

This endpoint supports API tokens, personal access tokens (PATs), and user tokens. If you authenticate with a PAT or user token, include the X-Axiom-Org-Id header; otherwise, the request returns 401. For more information, see Tokens.

Parameters

PropertyTypeLocationDescription
datasetstringRequiredpathThe dataset to search for metrics in
startstringRequiredqueryStart time for timeframe to search (RFC3339 format)
endstringRequiredqueryEnd time for timeframe to search (RFC3339 format)
search-ingestbooleanqueryAlso search metrics that have been ingested but not yet flushed to durable storage

Body

application/json
PropertyTypeDescription
valueunknownRequiredThe tag value to search for matching metrics. Accepts any non-null JSON scalar: string, number, or boolean.

Request

curl -X POST 'https://{axiom-domain}/v1/query/metrics/info/datasets/DATASET/metrics' \
  -H 'Authorization: Bearer API_TOKEN' \
  -H 'Content-Type: application/json' \
  -d '{"value":"string"}'
Try itRun this request against your Axiom organization

Credentials stay in this browser tab and are only sent to Axiom when you run the request.

Response

200Matching metric names, each mapped to the tag names that hold the value.
application/json, application/vnd.metrics-info.v2+json
404Dataset not found.
application/json, application/vnd.metrics-info.v2+json
defaultUser or system error
application/json, application/vnd.metrics-info.v2+json
Was this page helpful?
Suggest edits on GitHub
PreviousGet metrics for a datasetNextGet metric tags for a dataset
On this page
ParametersBodyRequestResponse